## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### Get Conversation Counter Metrics for the Organization

**Method:** GET

**Endpoint:** /v2.0/conversationcounter

#### Example Requests
**cURL**

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/conversationcounter \
  --header 'X-API-Key: <api-key>'
```

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/conversationcounter"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/conversationcounter', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

#### Response Status Codes
- `200` 
- `400`  
- `401`  
- `402`  
- `403`  
- `404`  
- `405`  
- `409`  
- `413`  
- `500`  
- `501`  
- `502`  
- `503`  
- `504`

#### Response Format
```json
{
  "items": [
    {
      "conversations": 123,
      "day": 123,
      "month": 123,
      "year": 123,
      "channel": "<string>"
    }
  ]
}
```

#### Error Responses
- Bad Request
```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```
- Unauthorized
```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```
- Payment Required
```json
{
  "type": "Payment Required",
  "title": "Payment Required Error",
  "status": 402,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 402,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```
- Forbidden
```json
{
  "type": "Forbidden",
  "title": "Forbidden Error",
  "status": 403,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```
- Not Found
```json
{
  "type": "Not Found",
  "title": "Not Found Error",
  "status": 404,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {},
  "logLevel": "error"
}
```

### Authorizations
- **APIKeyHeader**
  - `X-API-Key` (string) header required
  - Supply the API Key in the HTTP-Header

### Query Parameters
- `year` (number) required
- `month` (number) 
- `nonConversational` (boolean) Deprecated. Please no longer use this parameter. Use channel=nonConversational instead.
- `channel` (enum<string>)  
  - As of release 4.96, conversations can be filtered by specific channels. 
  - Available options: `facebook`, `alexa`, `slack`, `generic`, etc.  
  
### Response
**200**
- The conversation counter stats for the given time-frame.
